Debian Bug report logs - #667079
uhd: FTBFS: error: 'rx_dsp_buff_size' was not declared in this scope

version graph

Package: src:uhd; Maintainer for src:uhd is A. Maitland Bottoms <bottoms@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Tue, 3 Apr 2012 21:25:34 UTC

Severity: serious

Tags: sid, wheezy

Found in version uhd/3.4.0-2

Fixed in version uhd/3.4.0-3

Done: bottoms@debian.org (A. Maitland Bottoms)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, A. Maitland Bottoms <bottoms@debian.org>:
Bug#667079; Package src:uhd. (Tue, 03 Apr 2012 21:25:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, A. Maitland Bottoms <bottoms@debian.org>. (Tue, 03 Apr 2012 21:25:38 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: uhd: FTBFS: error: 'rx_dsp_buff_size' was not declared in this scope
Date: Tue, 03 Apr 2012 23:25:50 +0200
Package: src:uhd
Version: 3.4.0-2
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

[ 76%] Building CXX object examples/CMakeFiles/rx_ascii_art_dft.dir/rx_ascii_art_dft.cpp.o
cd /build/buildd-uhd_3.4.0-2-kfreebsd-amd64-jnOr7B/uhd-3.4.0/build/examples && /usr/bin/c++    -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security  -O3 -DNDEBUG -I/build/buildd-uhd_3.4.0-2-kfreebsd-amd64-jnOr7B/uhd-3.4.0/host/include    -Wall -Wextra -Wsign-compare -fvisibility=hidden -fvisibility-inlines-hidden -o CMakeFiles/rx_ascii_art_dft.dir/rx_ascii_art_dft.cpp.o -c /build/buildd-uhd_3.4.0-2-kfreebsd-amd64-jnOr7B/uhd-3.4.0/host/examples/rx_ascii_art_dft.cpp
/build/buildd-uhd_3.4.0-2-kfreebsd-amd64-jnOr7B/uhd-3.4.0/host/examples/network_relay.cpp: In function 'int _main(int, char**)':
/build/buildd-uhd_3.4.0-2-kfreebsd-amd64-jnOr7B/uhd-3.4.0/host/examples/network_relay.cpp:210:111: error: 'rx_dsp_buff_size' was not declared in this scope
make[3]: *** [examples/CMakeFiles/network_relay.dir/network_relay.cpp.o] Error 1
make[3]: Leaving directory `/build/buildd-uhd_3.4.0-2-kfreebsd-amd64-jnOr7B/uhd-3.4.0/build'
make[2]: *** [examples/CMakeFiles/network_relay.dir/all] Error 2
make[2]: *** Waiting for unfinished jobs....

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=uhd&arch=kfreebsd-amd64&ver=3.4.0-2&stamp=1333474293

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, A. Maitland Bottoms <bottoms@debian.org>:
Bug#667079; Package src:uhd. (Tue, 03 Apr 2012 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "A. Maitland Bottoms" <bottoms@debian.org>:
Extra info received and forwarded to list. Copy sent to A. Maitland Bottoms <bottoms@debian.org>. (Tue, 03 Apr 2012 22:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 667079@bugs.debian.org (full text, mbox):

From: "A. Maitland Bottoms" <bottoms@debian.org>
To: debian-bsd@lists.debian.org, 667079@bugs.debian.org
Subject: Bug#667079: uhd: FTBFS: error: 'rx_dsp_buff_size' was not declared in this scope
Date: Tue, 3 Apr 2012 18:00:29 -0400
>>>>> Christoph Egger <christoph@debian.org> writes:
> /build/buildd-uhd_3.4.0-2-kfreebsd-amd64-jnOr7B/uhd-3.4.0/host/examples/network_relay.cpp:210:111: error: 'rx_dsp_buff_size' was not declared in this scope

Leading up to that is uhd-3.4.0/host/include/uhd/config.hpp
// Platform defines for conditional parts of headers:
// Taken from boost/config/select_platform_config.hpp,
// however, we define macros, not strings for platforms.
#if defined(linux) || defined(__linux) || defined(__linux__)
    #define UHD_PLATFORM_LINUX
#elif defined(_WIN32) || defined(__WIN32__) || defined(WIN32)
    #define UHD_PLATFORM_WIN32
#elif defined(macintosh) || defined(__APPLE__) || defined(__APPLE_CC__)
    #define UHD_PLATFORM_MACOS
#elif defined(__FreeBSD__) || defined(__NetBSD__) || defined(__OpenBSD__)
    #define UHD_PLATFORM_BSD
#endif

and uhd-3.4.0/host/examples/network_relay.cpp
#if defined(UHD_PLATFORM_MACOS) || defined(UHD_PLATFORM_BSD)
    //limit buffer resize on macos or it will error
    const size_t rx_dsp_buff_size = size_t(1e6);
#elif defined(UHD_PLATFORM_LINUX) || defined(UHD_PLATFORM_WIN32)
    //set to half-a-second of buffering at max rate
    const size_t rx_dsp_buff_size = size_t(50e6);
#endif


From the error it looks like UHD_PLATFORM_BSD remained undefined.
Isn't __FreeBSD__ defined in g++ for Debian's kfreebsd architectures?

What do the debian-bsd folk recommend doing here?

-Maitland




Information forwarded to debian-bugs-dist@lists.debian.org, A. Maitland Bottoms <bottoms@debian.org>:
Bug#667079; Package src:uhd. (Tue, 03 Apr 2012 22:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to A. Maitland Bottoms <bottoms@debian.org>. (Tue, 03 Apr 2012 22:21:07 GMT) Full text and rfc822 format available.

Message #15 received at 667079@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "A. Maitland Bottoms" <bottoms@debian.org>
Cc: debian-bsd@lists.debian.org, 667079@bugs.debian.org
Subject: Re: Bug#667079: uhd: FTBFS: error: 'rx_dsp_buff_size' was not declared in this scope
Date: Wed, 4 Apr 2012 00:19:12 +0200
[Message part 1 (text/plain, inline)]
A. Maitland Bottoms <bottoms@debian.org> (03/04/2012):
> >From the error it looks like UHD_PLATFORM_BSD remained undefined.
> Isn't __FreeBSD__ defined in g++ for Debian's kfreebsd architectures?

Nope, that's only for the upstream kernel. We have __FreeBSD_kernel__
though if you need to check for the kernel.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, A. Maitland Bottoms <bottoms@debian.org>:
Bug#667079; Package src:uhd. (Wed, 04 Apr 2012 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
Extra info received and forwarded to list. Copy sent to A. Maitland Bottoms <bottoms@debian.org>. (Wed, 04 Apr 2012 01:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 667079@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: "A. Maitland Bottoms" <bottoms@debian.org>
Cc: debian-bsd@lists.debian.org, 667079@bugs.debian.org
Subject: Re: Bug#667079: uhd: FTBFS: error: 'rx_dsp_buff_size' was not declared in this scope
Date: Wed, 04 Apr 2012 02:59:30 +0200
Hi!

"A. Maitland Bottoms" <bottoms@debian.org> writes:
>>>>>> Christoph Egger <christoph@debian.org> writes:
>> /build/buildd-uhd_3.4.0-2-kfreebsd-amd64-jnOr7B/uhd-3.4.0/host/examples/network_relay.cpp:210:111: error: 'rx_dsp_buff_size' was not declared in this scope
>
> Leading up to that is uhd-3.4.0/host/include/uhd/config.hpp
> // Platform defines for conditional parts of headers:
> // Taken from boost/config/select_platform_config.hpp,
> // however, we define macros, not strings for platforms.
> #if defined(linux) || defined(__linux) || defined(__linux__)
>     #define UHD_PLATFORM_LINUX
> #elif defined(_WIN32) || defined(__WIN32__) || defined(WIN32)
>     #define UHD_PLATFORM_WIN32
> #elif defined(macintosh) || defined(__APPLE__) || defined(__APPLE_CC__)
>     #define UHD_PLATFORM_MACOS
> #elif defined(__FreeBSD__) || defined(__NetBSD__) || defined(__OpenBSD__)
>     #define UHD_PLATFORM_BSD
> #endif
>
> and uhd-3.4.0/host/examples/network_relay.cpp
> #if defined(UHD_PLATFORM_MACOS) || defined(UHD_PLATFORM_BSD)
>     //limit buffer resize on macos or it will error
>     const size_t rx_dsp_buff_size = size_t(1e6);
> #elif defined(UHD_PLATFORM_LINUX) || defined(UHD_PLATFORM_WIN32)
>     //set to half-a-second of buffering at max rate
>     const size_t rx_dsp_buff_size = size_t(50e6);
> #endif
>
>
>>From the error it looks like UHD_PLATFORM_BSD remained undefined.
> Isn't __FreeBSD__ defined in g++ for Debian's kfreebsd architectures?
>
> What do the debian-bsd folk recommend doing here?

__FreeBSD__ isn't defined on kfreebsd as it is used to both check for a
FreeBSD libc (which isn't present on kfreebsd) and a FreeBSD kernel
(which we have). Both Debian's kfreebsd and recent FreeBSD define
__FreeBSD_kernel__ to check for a FreeBSD kernel.

Depending on whether this conditional is for some kernel side difference
(and it looks like it is) you need to check for __FreeBSD_kernel__ in
addition to __FreeBSD__. If it was a check for libc properties you'd
probably want to add a (or replace the __linux__ with) __GLIBC__ that
does the same as linux.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to bottoms@debian.org (A. Maitland Bottoms):
You have taken responsibility. (Mon, 09 Apr 2012 19:06:11 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Mon, 09 Apr 2012 19:06:11 GMT) Full text and rfc822 format available.

Message #25 received at 667079-close@bugs.debian.org (full text, mbox):

From: bottoms@debian.org (A. Maitland Bottoms)
To: 667079-close@bugs.debian.org
Subject: Bug#667079: fixed in uhd 3.4.0-3
Date: Mon, 09 Apr 2012 19:04:48 +0000
Source: uhd
Source-Version: 3.4.0-3

We believe that the bug you reported is fixed in the latest version of
uhd, which is due to be installed in the Debian FTP archive:

libuhd-dev_3.4.0-3_amd64.deb
  to main/u/uhd/libuhd-dev_3.4.0-3_amd64.deb
libuhd003_3.4.0-3_amd64.deb
  to main/u/uhd/libuhd003_3.4.0-3_amd64.deb
uhd-host_3.4.0-3_amd64.deb
  to main/u/uhd/uhd-host_3.4.0-3_amd64.deb
uhd_3.4.0-3.debian.tar.gz
  to main/u/uhd/uhd_3.4.0-3.debian.tar.gz
uhd_3.4.0-3.dsc
  to main/u/uhd/uhd_3.4.0-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667079@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
A. Maitland Bottoms <bottoms@debian.org> (supplier of updated uhd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 04 Apr 2012 22:43:26 -0400
Source: uhd
Binary: uhd-host libuhd003 libuhd-dev
Architecture: source amd64
Version: 3.4.0-3
Distribution: unstable
Urgency: low
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Changed-By: A. Maitland Bottoms <bottoms@debian.org>
Description: 
 libuhd-dev - universal hardware driver for Ettus Research products
 libuhd003  - universal hardware driver for Ettus Research products
 uhd-host   - universal hardware driver for Ettus Research products
Closes: 667079
Changes: 
 uhd (3.4.0-3) unstable; urgency=low
 .
   * include upstream fix bsd compilation for network relay example
     (Closes: #667079)
   * use liborc again, revert 3.4.0-2 changes.
Checksums-Sha1: 
 4bac90f42bfa454ab83d7cba452e39e0df40ae89 1495 uhd_3.4.0-3.dsc
 6c4ccdfa5b12a1c3ec633b8183aca3cae2992938 21441 uhd_3.4.0-3.debian.tar.gz
 298ca3602ea3323fbed26feb9341414dcd3a43a1 1697716 uhd-host_3.4.0-3_amd64.deb
 e92e41f4abf6aa2ca47d2dd65920dd7b1d810389 1354606 libuhd003_3.4.0-3_amd64.deb
 789a5132d1ebec1156c9f43daf833c9b71472265 538816 libuhd-dev_3.4.0-3_amd64.deb
Checksums-Sha256: 
 8b0d8426c5f8347f62cc9af9b58742e1c52436e0bb6ad5e7ad04c9da5baed8f3 1495 uhd_3.4.0-3.dsc
 cd8a3e97616ed42ebe24ec7943fdce0209b8dc2f9c2a3af72daaff9a702bfe4d 21441 uhd_3.4.0-3.debian.tar.gz
 db0b2364373ca47f38cece4bed6e6a9a86bd6ce6bdc9946ca68ad3feb77a3d2d 1697716 uhd-host_3.4.0-3_amd64.deb
 c7b45d74b6bb40543a010f388212fbdad7e07fbf593c19a16d353435234087b7 1354606 libuhd003_3.4.0-3_amd64.deb
 1aaa217f9919a5b925e4c2e6f28016f45203df29a569dded826ac89476ec36ad 538816 libuhd-dev_3.4.0-3_amd64.deb
Files: 
 3e96e9999f79bd4986694c7720f00f9c 1495 science optional uhd_3.4.0-3.dsc
 c2dd0c9677a14e8ae5cc314c41e140ff 21441 science optional uhd_3.4.0-3.debian.tar.gz
 fb536c5850d8b5b2baffad521a701cdc 1697716 science optional uhd-host_3.4.0-3_amd64.deb
 b58bc2c77d750d9e7900e77a007d4615 1354606 libs optional libuhd003_3.4.0-3_amd64.deb
 a5f196e94249fc81206dd781c144d8e4 538816 libdevel optional libuhd-dev_3.4.0-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+DMPwACgkQkwbJvNrxBUwFXgCfaZ54YlSbVfwUeG5x5PipKU4f
PrYAn3AFru/Ghj/jyyc4h+pDTX27uONo
=e3Gj
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 May 2012 07:40:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:10:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.